
{% extends "dash/layouts/default.html" %}
{% load ig_url ig_edit_url ig_nav_url ig_member_action_url member_url from interestgroup %}

{% block title %} UI Elements {% endblock title %}

{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="row gap-20 masonry pos-r">
    <div class="masonry-sizer col-12"></div>
    <div class="masonry-item col-12">
        <div class="bgc-white p-20 bd" style="min-height: 200px;">
            <div class="row">
            <div class="col-12">
                <img 
                    style="width: 60px; height: 60px; display: inline-block;" 
                    src="{{ i_group.get_badge_url|default:'/static/i_groups/badges/none.png' }}" alt="">
                <h4 class="c-grey-900 ml-2"
                    style="display: inline;"
                    >{{ i_group.topic }}</h4>
                {% if user_is_ig_admin %}
                <span class="pull-right">
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Edit
                        </button>
                        <div class="dropdown-menu mr-2" aria-labelledby="dropdownMenuButton">
                        <a class="dropdown-item" href="{% ig_edit_url i_group.pk 'badge' %}">Change badge</a>
                        <a class="dropdown-item" href="{% ig_edit_url i_group.pk 'info' %}">Edit info</a>
                        </div>
                    </div>
                </span>
                {% endif %}
            </div>
            </div>
            <div class="row mt-4">
            <div class="col-12">
                <p>{{ i_group.description|linebreaksbr }}</p>
            </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-lg-4 col-xl-3">
                    <div class="scrollable pos-r bdT layer w-100 fxg-1">
                        <ul class="p-20 nav flex-column">
                        <li class="nav-item">
                            <a href="{% ig_nav_url i_group.pk 'members' %}" class="nav-link c-grey-800 cH-blue-500 actived">
                            <div class="peers ai-c jc-sb">
                                <div class="peer peer-greed">
                                <i class="mR-10 ti-view-list-alt"></i>
                                <span>Members</span>
                                </div>
                                <div class="peer">
                                <span class="badge badge-pill bgc-deep-purple-50 c-deep-purple-700">+99</span>
                                </div>
                            </div>
                            </a>
                        </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row mt-4">
            <div class="col-12">
                <form class="pull-right" action='{% ig_member_action_url i_group.pk member_action %}' method='post'>
                <input type="hidden" value="{% ig_url i_group.pk %}" name="redirect_url">
                {% csrf_token %}
                {% if member_action == 'leave' %}
                <button type="submit" class="btn btn-secondary" type="button" type="submit">
                Leave Group
                </button>
                {% elif member_action == 'cancel-request' %}
                <button type="submit" class="btn btn-secondary" type="button">
                Cancel Request
                </button>
                {% elif member_action == 'request-membership' %}
                <button type="submit" class="btn btn-primary" type="button">
                Request Membership
                </button>
                {% endif %}
                </form>

                {% if user_is_ig_admin %}
                <a class="" href="{% ig_edit_url i_group.pk 'delete' %}">
                    <button class="btn btn-danger" type="button">
                    Delete Group
                    </button>
                </a>
                {% endif %}
            </div>
            </div>
        </div>
    </div>

    {% if members_list %}
    <div class="masonry-item col-12">
        <div class="bgc-white p-20 bd">
            <div class="row mb-2">
                <div class="col-12">
                    <h6 class="c-grey-900" style="display: inline">Members</h6>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    {% for member in members_list %}
                    <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50">
                        <div class="peer">
                            <img src="{{ member.get_avatar_url }}" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <a class="peer peer-greed pL-20" href="{% member_url member.username %}">
                            <h6 class="mB-0 lh-1 fw-400">{{ member.get_full_name }}</h6>
                        </a>
                        {% if user_is_ig_admin %}
                        <form action="{% ig_member_action_url i_group.pk 'approve-request' %}" method='post' class=" peer pull-right"> 
                            {% csrf_token %}
                            <input type="hidden" name="username" value="{{ member.username }}">
                            <input type="submit" name="submit" value="kick-out" class="btn btn-danger">
                        </form>
                        {% endif %}
                    </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
    {% endif %}

    {% if user_is_ig_admin and not members_list %}
    <div class="masonry-item col-md-6">
        <div class="bgc-white p-20 bd">
            <div class="row mb-2">
                <div class="col-12">
                    <h6 class="c-grey-900" style="display: inline">Membership requests</h6>
                </div>
            </div>
            <div class="row">
                {% for member in requested_members %}
                <form action="{% ig_member_action_url i_group.pk 'approve-request' %}" method='post' class="col-12"> 
                {% csrf_token %}
                <input type="hidden" name="username" value="{{ member.username }}">
                <div class="peers fxw-nw ai-c p-20 bdB bgc-white cur-p">
                <div class="peer">
                    <img src="/static/users/avatars/none.png" alt="" class="w-3r h-3r bdrs-50p">
                </div>
                <div class="peer peer-greed pL-20">
                    <h6 class="mB-0 lh-1 fw-400">{{ member.get_full_name }}</h6>
                </div>
                <input type="submit" name="submit" value="Delete" class="btn btn-light peer pull-right">
                <input type="submit" name="submit" value="Accept" class="btn btn-primary peer pull-right">
                </div>
                </form>
                {% endfor %}
            </div>
        </div>
    </div>
    {% endif %}

</div>

{% endblock content %}
